<?php

namespace IZON\Admin\Domain;

use \IZON\DB\DBObject;

/**
 * nejaka ztavba na kterou se ma odkazovar
 */
class AdminModuleSetting implements DBObject {
    
    /**
     * nazev tabulky na kterou se mapuje
     */
    public static function __tableName() { return 'core_admin_module_settings'; }
    
    /**
     *
     * @var integer 
     */
    protected $id;
//    public static function __id() { return "blah3333"; }

    /**
     * @var integer nastaveni ktereho modulu
     */
    protected $fkAdminModuleId;

    /**
     * unikatni identifikator daneh modulu
     * @var string 
     */
    protected $paramIdentifier;

    /**
     * @var string hodnota nastaveni 
     */
    protected $value;

    /**
     * 
     * @var string pojmenovani promene
     */
    protected $name;
//    public static function __name() { return IZON\DB\charField(['maxLength' => 255]); }
    

// generovane gettery a settery    
    function getId() {
        return $this->id;
    }

    function getFkAdminModuleId() {
        return $this->fkAdminModuleId;
    }

    function getParamIdentifier() {
        return $this->paramIdentifier;
    }

    function getValue() {
        return $this->value;
    }

    function getName() {
        return $this->name;
    }

    function setId($id) {
        $this->id = $id;
    }

    function setFkAdminModuleId($fkAdminModuleId) {
        $this->fkAdminModuleId = $fkAdminModuleId;
    }

    function setParamIdentifier($paramIdentifier) {
        $this->paramIdentifier = $paramIdentifier;
    }

    function setValue($value) {
        $this->value = $value;
    }

    function setName($name) {
        $this->name = $name;
    }
}

